//=============================================================================================
//This script prepares a character for rigging.
//It only works on one character at a time (for now).
//By Samuel Kvaalen
//


@version 2.3
@warnings

generic
{
scn = Scene();
CurrObj = scn.getSelect();

    SkelegonsToBones();  //Convert skelegons to bones
    BoneXRay();          //Toggle the Xray mode
    ItemLock(1);         //Lock the item (so it doesn't get selected when you try to select bones)
    ItemVisibility(2);   //Change the items visibility to bounding box (so you can see the bones better)
    SubPatchLevel(2,3);  //Set the display patch level to 2
    SelectAllCameras();  //Select all the cameras
    ItemVisibility(1);   //Hide all the cameras
    SelectAllLights();   //Select all the lights
    ItemVisibility(1);   //Hide all the lights
    SelectItem(CurrObj[1].name);   //Select original item
}

